Bria Product Dimensions
ผสานการทำงาน
bria/product-dimensions
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/product-dimensions?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "example",
"dimensions": [
{
"name": "height",
"position": "left",
"unit": "cm",
"value": 22
},
{
"name": "width_bottom",
"position": "bottom",
"unit": "cm",
"value": 7
}
],
"style": "default"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/product-dimensions?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "example",
"dimensions": [
{
"name": "height",
"position": "left",
"unit": "cm",
"value": 22
},
{
"name": "width_bottom",
"position": "bottom",
"unit": "cm",
"value": 7
}
],
"style": "default"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "example",
"dimensions": [
{
"name": "height",
"position": "left",
"unit": "cm",
"value": 22,
},
{
"name": "width_bottom",
"position": "bottom",
"unit": "cm",
"value": 7,
},
],
"style": "default",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/product-dimensions", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/th/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/product-dimensions",
"input": {
"image": "example",
"dimensions": [
{
"name": "height",
"position": "left",
"unit": "cm",
"value": 22
},
{
"name": "width_bottom",
"position": "bottom",
"unit": "cm",
"value": 7
}
],
"style": "default"
}
}
เรียกใช้โมเดล Bria Product Dimensions (bria/product-dimensions) ผ่าน Doitong API เอกสารสำหรับเอเจนต์: https://doitong.com/th/developers/models/bria/product-dimensions.md
POST https://api.doitong.ru/v1/run/bria/product-dimensions?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"image": "example",
"dimensions": [
{
"name": "height",
"position": "left",
"unit": "cm",
"value": 22
},
{
"name": "width_bottom",
"position": "bottom",
"unit": "cm",
"value": 7
}
],
"style": "default"
}
หากสถานะการตอบกลับเป็น "queued" หรือ "running" ให้ส่งคำขอแบบสำรวจ GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 จนกว่าจะเป็น "succeeded" ไฟล์อยู่ใน outputs[].url การส่ง POST https://api.doitong.ru/v1/quote/bria/product-dimensions ด้วยบอดี้เดียวกันจะแสดงราคาที่แน่นอนก่อนเรียกใช้
คำขอนี้: $0.04 40 เครดิต API · ≈ ₽4.22 เรียกใช้ในหน้านี้
คีย์ API ใหม่ของคุณ คีย์นี้จะแสดงเฉพาะตอนนี้ และมีอยู่ในโค้ดและช่องคีย์ API ด้านล่างแล้ว เก็บเป็นความลับ: อย่าใส่คีย์นี้ไว้ในโค้ดที่ทำงานบนเบราว์เซอร์
ผลลัพธ์แรกของคุณจะแสดงที่นี่
สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน
สร้างคำขอ
ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า
/run/bria/product-dimensions?wait=20
ใบเสนอราคา → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/product-dimensions?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "example",
"dimensions": [
{
"name": "height",
"position": "left",
"unit": "cm",
"value": 22
},
{
"name": "width_bottom",
"position": "bottom",
"unit": "cm",
"value": 7
}
],
"style": "default"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/product-dimensions?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "example",
"dimensions": [
{
"name": "height",
"position": "left",
"unit": "cm",
"value": 22
},
{
"name": "width_bottom",
"position": "bottom",
"unit": "cm",
"value": 7
}
],
"style": "default"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "example",
"dimensions": [
{
"name": "height",
"position": "left",
"unit": "cm",
"value": 22,
},
{
"name": "width_bottom",
"position": "bottom",
"unit": "cm",
"value": 7,
},
],
"style": "default",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/product-dimensions", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/product-dimensions",
"input": {
"image": "example",
"dimensions": [
{
"name": "height",
"position": "left",
"unit": "cm",
"value": 22
},
{
"name": "width_bottom",
"position": "bottom",
"unit": "cm",
"value": 7
}
],
"style": "default"
},
"wait_seconds": 20
}
}
}
เรียกใช้คำขอนี้
คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API
เกี่ยวกับ Bria Product Dimensions
รับ `image` ของสินค้าและรายการอย่างน้อยหนึ่งรายการใน `dimensions` จากนั้นวาดเส้นวัดพร้อมป้ายกำกับรอบสินค้า เลือก `style` (ค่าเริ่มต้น แบบเด็ก หรือแบบหรูหรา) `title` ความยาวไม่เกิน 80 อักขระ สีพื้นหลัง และ `output_size` แบบสี่เหลี่ยมจัตุรัสตั้งแต่ 256 ถึง 2200 พิกเซล เอาต์พุตเป็น png, jpeg หรือคอมโพสิตคู่ที่มีโอเวอร์เลย์โปร่งใสได้
พารามิเตอร์
title_positionไม่บังคับ
proportional_linesไม่บังคับ
syncไม่บังคับ
imageจำเป็น
dimensionsจำเป็น
dimensions[].nameจำเป็น
dimensions[].valueจำเป็น
dimensions[].unitจำเป็น
dimensions[].positionไม่บังคับ
styleจำเป็น
titleไม่บังคับ
output_sizeไม่บังคับ
output_formatไม่บังคับ
backgroundไม่บังคับ
units_displayไม่บังคับ
weightไม่บังคับ
weight.valueจำเป็น
weight.unitจำเป็น
weight.labelไม่บังคับ
capacityไม่บังคับ
capacity.valueจำเป็น
capacity.unitจำเป็น
เอาต์พุต
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/product-dimensions",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 40,
"usd": "0.04",
"charged": 40,
"refunded": 0
},
"input": {
"image": "example",
"dimensions": [
{
"name": "height",
"position": "left",
"unit": "cm",
"value": 22
},
{
"name": "width_bottom",
"position": "bottom",
"unit": "cm",
"value": 7
}
],
"style": "default"
},
"output": {
"image": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
},
"transparent_overlay": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ฟิลด์ของเอาต์พุต
- image
- object {url, content_type, file_name, file_size, width, height}รูปภาพที่แสดงขนาดของสินค้า
- transparent_overlay
- object {url, content_type, file_name, file_size, width, height} | nullโอเวอร์เลย์โปร่งใส ซึ่งรวมอยู่เฉพาะเมื่อ output_format ตั้งค่าเป็น dual
รูปแบบอื่นของ Bria
โมเดลเพิ่มเติม: แก้ไขภาพ
สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/bria/product-dimensions.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt






